From 3fa08a630d36805a6b04ef89a3cfc3622a39a08c Mon Sep 17 00:00:00 2001
From: Phil Trinh <ptrinh@me.com>
Date: Wed, 26 Aug 2020 00:10:06 +0800
Subject: [PATCH] Add minimum qualified days feature for catalog extra items

---
 .../plugins/templines-renroll/templines-renroll.php  | 12 ++++++++++++
 wp-content/themes/renroll/assets/js/site.js          | 10 ++++++++++
 wp-content/themes/renroll/templates/booking-form.php |  1 +
 3 files changed, 23 insertions(+)

diff --git a/wp-content/plugins/templines-renroll/templines-renroll.php b/wp-content/plugins/templines-renroll/templines-renroll.php
index e0dd5ce..b900aea 100644
--- a/wp-content/plugins/templines-renroll/templines-renroll.php
+++ b/wp-content/plugins/templines-renroll/templines-renroll.php
@@ -854,6 +854,15 @@ if ( ! function_exists( 'templines_renroll_custom_meta_boxes' ) ) {
 				'step'  => 1,
 				'class' => 'templines-short-input',
 			],
+            [
+                'name'  => __( 'Minimum qualifying days', 'templines-renroll' ),
+                'id'    => 'qualified_days',
+                'type'  => 'number',
+                'std'   => 1,
+                'min'   => 0,
+                'step'  => 1,
+                'class' => 'templines-short-input',
+            ],
 
 		];
 
@@ -1505,6 +1514,8 @@ if ( ! function_exists( 'templines_renroll_check_dates' ) ) {
 	}
 }
 
+// HERE
+
 if ( ! function_exists( 'templines_renroll_ajax_calc_total' ) ) {
 	function templines_renroll_ajax_calc_total() {
 		ob_start();
@@ -2025,6 +2036,7 @@ if ( ! function_exists( 'templines_renroll_ajax_book' ) ) {
 	add_action( 'wp_ajax_nopriv_templines_book', 'templines_renroll_ajax_book' );
 }
 
+// TODO
 if ( ! function_exists( 'templines_renroll_ajax_booking_form' ) ) {
 	function templines_renroll_ajax_booking_form() {
 		ob_start();
diff --git a/wp-content/themes/renroll/assets/js/site.js b/wp-content/themes/renroll/assets/js/site.js
index 93b4fdf..c984270 100644
--- a/wp-content/themes/renroll/assets/js/site.js
+++ b/wp-content/themes/renroll/assets/js/site.js
@@ -1984,6 +1984,16 @@
 					$loading.removeClass('c-vehicle-book__loading--active');
 				}
 				$block.removeClass('c-vehicle-book__block--loading');
+				// Check box if booking days > qualified days
+				$('.js-extra-chk[data-qualified-days]').each(function() {
+					if (results.days > $( this )[0].dataset.qualifiedDays) {
+                        $( this ).addClass().prop('checked', true);
+                        $( this ).parents('.js-extra-item').show();
+					} else {
+                        $( this ).addClass().prop('checked', false);
+                        $( this ).parents('.js-extra-item').hide();
+					}
+				});
 				if (results.total) {
 					$('.js-book-total', $form).html(results.total);
 					$price_block.removeClass('h-hidden');
diff --git a/wp-content/themes/renroll/templates/booking-form.php b/wp-content/themes/renroll/templates/booking-form.php
index cb2d6cb..d7c456f 100644
--- a/wp-content/themes/renroll/templates/booking-form.php
+++ b/wp-content/themes/renroll/templates/booking-form.php
@@ -208,6 +208,7 @@
 														   class="c-vehicle-book__extra-checkbox js-extra-chk"
 														   value="1"
 														   id="<?php echo esc_attr( $field_id ); ?>"
+                                                           <?php if ( ! empty( $term_meta['qualified_days'][0] ) ) { ?>data-qualified-days="<?php echo esc_attr( $term_meta['qualified_days'][0] ); ?>"<?php } ?>
 													       <?php if ( ! empty( $term_meta['always_included'][0] ) ) { ?>checked
 														   disabled<?php } ?>/><i></i>
 												<?php } else { ?>
-- 
2.20.1

